Subject: Re: Debuggers
From: "Suhaib M. Siddiqi" <[email-masked]>
To: "Billinghurst, David (RTD)" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Fri, 7 May 1999 09:55:20 -0400

> I did this a few weeks ago.  Have since realized that the display isn't
> right.  The nice graphic symbols (glyphs?) don't appear, but it is useable.
> Love to get to the bottom of it, but no time
> 
I compiled the DDD-3.1.4 using my LessTif 0.88.1 binaries and
Sergey's port of X11R6.4.
No glyphs problems!
I use Exceed 3D/XDK and Sun Microsystem Solstice Network Client 3.2 X-Server.

I have uploaded the DDD-3.1.4 to my web site at http://www.ipass.net/~ssiddiqi
for download.

Patched source code available upon request from [email-masked] 

Suhaib

> ############################################################################
> 
> I have ported Data Display Debugger ddd-3.1.4
> http://www.cs.tu-bs.de/softech/ddd/ to cygwin.  
> Seems to work ok, but not well tested.
> 
> There was a problem with ddd/configure.  Some tests failed as -lSM was
> before -lXt in some tests.
> Patch below fixes the configure file.  The root cause is left as an exercise
> for the reader ;->
> 
> My setup is
> NT4 SP4
> cygwin b20.1
> X11R6.4 libraries from http://dao.gsfc.nasa.gov/software/grads/X11R6.4/
> egcs-1.1.2 from  http://www.xraylith.wisc.edu/~khan/software/gnu-win32/ 
> Exceed X server 
> 
> 
> *** ddd-3.1.4/ddd/configure.orig Wed Apr 07 23:12:04 1999
> --- ddd-3.1.4/ddd/configure Wed Apr 07 23:29:32 1999
> ***************
> *** 6553,6559 ****
>     echo $ac_n "(cached) $ac_c" 1>&6
>   else
>     ac_save_LIBS="$LIBS"
> ! LIBS="-lXaw ${X_PRE_LIBS} ${XAW_LIBS} ${XT_LIBS} ${XEXT_LIBS} ${X11_LIBS}
> $LIBS"
>   cat > conftest.$ac_ext <<EOF
>   #line 6559 "configure"
>   #include "confdefs.h"
> --- 6553,6559 ----
>     echo $ac_n "(cached) $ac_c" 1>&6
>   else
>     ac_save_LIBS="$LIBS"
> ! LIBS="-lXaw ${XAW_LIBS} ${XT_LIBS} ${X_PRE_LIBS} ${XEXT_LIBS} ${X11_LIBS}
> $LIBS"
>   cat > conftest.$ac_ext <<EOF
>   #line 6559 "configure"
>   #include "confdefs.h"
> ***************
> *** 6792,6798 ****
>     echo $ac_n "(cached) $ac_c" 1>&6
>   else
>     ac_save_LIBS="$LIBS"
> ! LIBS="-lXp ${X_PRE_LIBS} ${XPM_LIBS} ${XEXT_LIBS} ${XT_LIBS} ${XEXT_LIBS}
> ${X11_LIBS} ${LIBGEN} $LIBS"
>   cat > conftest.$ac_ext <<EOF
>   #line 6798 "configure"
>   #include "confdefs.h"
> --- 6792,6798 ----
>     echo $ac_n "(cached) $ac_c" 1>&6
>   else
>     ac_save_LIBS="$LIBS"
> ! LIBS="-lXp  ${XPM_LIBS} ${XEXT_LIBS} ${XT_LIBS} ${X_PRE_LIBS} ${XEXT_LIBS}
> ${X11_LIBS} ${LIBGEN} $LIBS"
>   cat > conftest.$ac_ext <<EOF
>   #line 6798 "configure"
>   #include "confdefs.h"
> ***************
> *** 6839,6845 ****
>     echo $ac_n "(cached) $ac_c" 1>&6
>   else
>     ac_save_LIBS="$LIBS"
> ! LIBS="-lXm ${X_PRE_LIBS} ${XP_LIBS} ${XPM_LIBS} ${XEXT_LIBS} ${XT_LIBS}
> ${XEXT_LIBS} ${X11_LIBS} ${LIBGEN} $LIBS"
>   cat > conftest.$ac_ext <<EOF
>   #line 6845 "configure"
>   #include "confdefs.h"
> --- 6839,6845 ----
>     echo $ac_n "(cached) $ac_c" 1>&6
>   else
>     ac_save_LIBS="$LIBS"
> ! LIBS="-lXm ${XP_LIBS} ${XPM_LIBS} ${XEXT_LIBS} ${XT_LIBS} ${X_PRE_LIBS}
> ${XEXT_LIBS} ${X11_LIBS} ${LIBGEN} $LIBS"
>   cat > conftest.$ac_ext <<EOF
>   #line 6845 "configure"
>   #include "confdefs.h"
> ***************
> *** 6886,6892 ****
>     echo $ac_n "(cached) $ac_c" 1>&6
>   else
>     ac_save_LIBS="$LIBS"
> ! LIBS="-lXm ${X_PRE_LIBS} ${XP_LIBS} ${XPM_LIBS} ${XEXT_LIBS} ${XT_LIBS}
> ${XEXT_LIBS} ${X11_LIBS} ${LIBGEN} $LIBS"
>   cat > conftest.$ac_ext <<EOF
>   #line 6892 "configure"
>   #include "confdefs.h"
> --- 6886,6892 ----
>     echo $ac_n "(cached) $ac_c" 1>&6
>   else
>     ac_save_LIBS="$LIBS"
> ! LIBS="-lXm ${XP_LIBS} ${XPM_LIBS} ${XEXT_LIBS} ${XT_LIBS} ${X_PRE_LIBS}
> ${XEXT_LIBS} ${X11_LIBS} ${LIBGEN} $LIBS"
>   cat > conftest.$ac_ext <<EOF
>   #line 6892 "configure"
>   #include "confdefs.h"
> 
> 
> 
> 
> > -----Original Message-----
> > From: Richard Hickling [SMTP:[email-masked]]
> > Sent: Friday, 7 May 1999 1:26
> > To: Colin Redfern
> > Cc: [email-masked]
> > Subject: Re: Debuggers
> > 
> > > I have looked at Quincy, Vide and Grasp.
> > > I didn't much fancy quincy, so I've heeded Mumits advice and focused on
> > the
> > > other 2
> > > I don't seem to be able to build form my custom makefiles in either
> > > environment.
> > > Has anyone here tried a similar setup /any advice to offer ?
> > 
> > I'm making a big effort with DDD since this is the environment engineers
> > are
> > already using on Solaris.  If this fails or is impractical, I will try the
> > other ones.  DDD is very good - if it works - which it does well on
> > Solaris and
> > Linux.
> > 
> > 
> > --
> > Want to unsubscribe from this list?
> > Send a message to [email-masked]
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]